using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.ContractCQ.EventHandlers;

public class DeleteContractEventHandler : INotificationHandler<DeleteContractEvent>
{
    private readonly ILogger<
        DeleteContractEventHandler> _logger;

    public DeleteContractEventHandler(ILogger<DeleteContractEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteContractEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
